| LicenseSpring C++ SDK 7.32.0 Easily add Software Licensing to your application

Loading...
Searching...
No Matches
Public Attributes | List of all members
LSLicenseHandler Struct Reference

`#include <LicenseSpring/C-interface/LicenseHandler.h>`

## Public Attributes
void(* | reconfigure )(struct LSLicenseHandler *self, struct LSConfiguration *config)
bool(* | isOnline )(struct LSLicenseHandler *self)
LSProductDetails *(* | getProductDetails )(struct LSLicenseHandler *self, bool includeLatestVersion)
struct LSLicenseID(* | getTrialLicense )(struct LSLicenseHandler *self, LSCustomer *user, const char *licensePolicy)
struct LSLicenseID(* | getTrialLicenseByEmail )(struct LSLicenseHandler *self, const char *userEmail)
const char *(* | getSSOUrl )(struct LSLicenseHandler *self, const char *accountCode, bool useAuthCode)
void(* | activateLicense )(struct LSLicenseHandler *self, struct LSLicenseID licenseID)
void(* | activateLicenseViaSSO )(struct LSLicenseHandler *self, const char *authData, const char *accountCode, bool useAuthCode)
bool(* | deactivateLicense )(struct LSLicenseHandler *self)
bool(* | changePassword )(struct LSLicenseHandler *self, const char *password, const char *newPassword, const char *user)
LSInstallationFile *(* | checkLicense )(struct LSLicenseHandler *self)
LSInstallationFile *(* | checkLicenseEx )(struct LSLicenseHandler *self, const char *channel, const char *env, bool includeExpiredFeatures)
int(* | getVersionList )(struct LSLicenseHandler *self, struct LSLicenseID licenseID, int *lengths, char **versionList)
int(* | getVersionListEx )(struct LSLicenseHandler *self, struct LSLicenseID licenseID, const char *channel, const char *env, int *lengths, char **versionList)
LSInstallationFile *(* | getInstallFile )(struct LSLicenseHandler *self, struct LSLicenseID licenseID, const char *version)
LSInstallationFile *(* | getInstallFileEx )(struct LSLicenseHandler *self, struct LSLicenseID licenseID, const char *version, const char *channel, const char *env)
void(* | sendDeviceData )(struct LSLicenseHandler *self, struct LSCustomField *data, int dataSize)
void(* | syncConsumption )(struct LSLicenseHandler *self)
void(* | syncFeatureConsumption )(struct LSLicenseHandler *self, const char *featureCode)
void(* | registerFloatingLicense )(struct LSLicenseHandler *self)
void(* | borrowFloatingLicense )(struct LSLicenseHandler *self, uint32_t hours, uint32_t days)
void(* | borrowFloatingLicenseTill )(struct LSLicenseHandler *self, const char *borrowEndDateTime)
void(* | releaseFloatingLicense )(struct LSLicenseHandler *self)
void(* | registerFloatingFeature )(struct LSLicenseHandler *self, const char *featureCode, bool addToWatchdog)
void(* | releaseFloatingFeature )(struct LSLicenseHandler *self, const char *featureCode)
const char *(* | getAirGapActivationCode )(struct LSLicenseHandler *self, const char *initializationCode, const char *licenseKey)
const char *(* | getAirGapDeactivationCode )(struct LSLicenseHandler *self, const char *initializationCode)
bool(* | isInitialized )(struct LSLicenseHandler *self)
bool(* | isLicenseExists )(struct LSLicenseHandler *self)
void(* | updateConsumption )(struct LSLicenseHandler *self, int value, bool saveLicense)
void(* | updateFeatureConsumption )(struct LSLicenseHandler *self, const char *featureCode, int value, bool saveLicense)
void(* | checkLicenseLocal )(struct LSLicenseHandler *self)
void(* | clearLocalStorage )(struct LSLicenseHandler *self)
void(* | setupLicenseWatchdog )(struct LSLicenseHandler *self, LSWatchdogCallback callback, unsigned long timeout)
void(* | resumeLicenseWatchdog )(struct LSLicenseHandler *self)
void(* | stopLicenseWatchdog )(struct LSLicenseHandler *self)
void(* | setupFeatureWatchdog )(struct LSLicenseHandler *self, LSWatchdogCallback callback, unsigned long timeout)
void(* | resumeFeaturewatchdog )(struct LSLicenseHandler *self)
void(* | stopFeatureWatchdog )(struct LSLicenseHandler *self)
void(* | relinkLicense )(struct LSLicenseHandler *self, enum DeviceIDAlgorithm deviceIdAlgorithm, const char *userPassword)
const wchar_t *(* | getDataLocation )(struct LSLicenseHandler *self)
void(* | setDataLocation )(struct LSLicenseHandler *self, const wchar_t *path)
const wchar_t *(* | getLicenseFileName )(struct LSLicenseHandler *self)
void(* | setLicenseFileName )(struct LSLicenseHandler *self, const wchar_t *name)
const wchar_t *(* | createOfflineActivationFile )(struct LSLicenseHandler *self, struct LSLicenseID licenseID, const wchar_t *activationRequestFile)
void(* | activateLicenseOffline )(struct LSLicenseHandler *self, const wchar_t *activationResponseFile)
const wchar_t *(* | deactivateLicenseOffline )(struct LSLicenseHandler *self, const wchar_t *deactivationRequestFile)
bool(* | updateOffline )(struct LSLicenseHandler *self, const wchar_t *path, bool resetConsumption)
void(* | activateAirGapLicense )(struct LSLicenseHandler *self, const char *confirmationCode, const wchar_t *policyFile, const char *licenseKey, unsigned long policyId)
void(* | deactivateAirGapLicense )(struct LSLicenseHandler *self, const char *confirmationCode)
bool(* | isLicenseValid )(struct LSLicenseHandler *self)
bool(* | isLicenseTrial )(struct LSLicenseHandler *self)
bool(* | isLicenseAirGapped )(struct LSLicenseHandler *self)
bool(* | isLicenseActive )(struct LSLicenseHandler *self)
bool(* | isLicenseEnabled )(struct LSLicenseHandler *self)
bool(* | isLicenseExpired )(struct LSLicenseHandler *self)
bool(* | isLicenseMaintenanceExpired )(struct LSLicenseHandler *self)
bool(* | isLicenseOfflineActivated )(struct LSLicenseHandler *self)
bool(* | isLicenseFloating )(struct LSLicenseHandler *self)
bool(* | isLicenseBorrowed )(struct LSLicenseHandler *self)
bool(* | isLicenseVMAllowed )(struct LSLicenseHandler *self)
bool(* | isSubscriptionGracePeriodStarted )(struct LSLicenseHandler *self)
bool(* | isGracePeriodStarted )(struct LSLicenseHandler *self)
int(* | gracePeriodHoursRemaining )(struct LSLicenseHandler *self)
struct tm(* | gracePeriodEndDateTime )(struct LSLicenseHandler *self)
struct tm(* | gracePeriodEndDateTimeUTC )(struct LSLicenseHandler *self)
int(* | getLicenseTrialPeriod )(struct LSLicenseHandler *self)
struct LSLicenseID(* | getLicenseID )(struct LSLicenseHandler *self)
const char *(* | getLicenseKey )(struct LSLicenseHandler *self)
const char *(* | getLicenseUser )(struct LSLicenseHandler *self)
const char *(* | getLicenseStatusStr )(struct LSLicenseHandler *self)
const char *(* | getLicenseStartDate )(struct LSLicenseHandler *self)
const char *(* | getLicenseMetadata )(struct LSLicenseHandler *self)
enum LSLicenseType(* | getLicenseType )(struct LSLicenseHandler *self)
struct tm(* | getLicenseExpiryDate )(struct LSLicenseHandler *self)
struct tm(* | getLicenseExpiryDateUtc )(struct LSLicenseHandler *self)
struct tm(* | getLicenseMaintenancePeriod )(struct LSLicenseHandler *self)
struct tm(* | getLicenseMaintenancePeriodUtc )(struct LSLicenseHandler *self)
struct tm(* | getLicenseLastCheckDate )(struct LSLicenseHandler *self)
struct tm(* | getLicenseLastCheckDateUtc )(struct LSLicenseHandler *self)
struct tm(* | getLicenseFloatingEndDateTime )(struct LSLicenseHandler *self)
struct tm(* | getLicenseFloatingEndDateTimeUtc )(struct LSLicenseHandler *self)
int(* | getDaysRemaining )(struct LSLicenseHandler *self)
int(* | getMaintenanceDaysRemaining )(struct LSLicenseHandler *self)
int(* | getDaysPassedSinceLastCheck )(struct LSLicenseHandler *self)
LSCustomer *(* | getLicenseOwner )(struct LSLicenseHandler *self)
bool(* | hasLicenseFeatures )(struct LSLicenseHandler *self)
struct LSLicenseFeature *(* | getLicenseFeature )(struct LSLicenseHandler *self, const char *featureCode)
int(* | getLicenseFeatures )(struct LSLicenseHandler *self, struct LSLicenseFeature *features)
bool(* | hasLicenseCustomFields )(struct LSLicenseHandler *self)
int(* | getLicenseCustomFields )(struct LSLicenseHandler *self, struct LSCustomField *fields)
unsigned long(* | getLicenseTimesActivated )(struct LSLicenseHandler *self)
unsigned long(* | getLicenseMaxActivations )(struct LSLicenseHandler *self)
unsigned long(* | getLicenseTransferCount )(struct LSLicenseHandler *self)
int(* | getLicenseTransferLimit )(struct LSLicenseHandler *self)
bool(* | isDeviceTransferAllowed )(struct LSLicenseHandler *self)
bool(* | isDeviceTransferLimited )(struct LSLicenseHandler *self)
unsigned long(* | getLicensePolicyId )(struct LSLicenseHandler *self)
unsigned long(* | getSubscriptionLicenseGracePeriod )(struct LSLicenseHandler *self)
struct tm(* | validityWithGracePeriod )(struct LSLicenseHandler *self)
struct tm(* | validityWithGracePeriodUtc )(struct LSLicenseHandler *self)
int(* | getLicenseTotalConsumption )(struct LSLicenseHandler *self)
int(* | getLicenseMaxConsumption )(struct LSLicenseHandler *self)
bool(* | isLicenseOveragesAllowed )(struct LSLicenseHandler *self)
bool(* | isLicenseUnlimitedConsumptionAllowed )(struct LSLicenseHandler *self)
int(* | getLicenseMaxOverages )(struct LSLicenseHandler *self)
bool(* | isResetLicenseConsumptionEnabled )(struct LSLicenseHandler *self)
enum LSConsumptionPeriod(* | getLicenseConsumptionPeriod )(struct LSLicenseHandler *self)
unsigned long(* | getLicenseFloatingTimeout )(struct LSLicenseHandler *self)
unsigned long(* | getLicenseFloatingInUseCount )(struct LSLicenseHandler *self)
unsigned long(* | getLicenseMaxFloatingUsers )(struct LSLicenseHandler *self)
unsigned long(* | getMaxBorrowTime )(struct LSLicenseHandler *self)
bool(* | wasError )(struct LSLicenseHandler *self)
enum LSErrorCode(* | getLastError )(struct LSLicenseHandler *self)
const char *(* | getLastErrorMsg )(struct LSLicenseHandler *self)
bool(* | isInitializationError )(struct LSLicenseHandler *self)
bool(* | isInternalServerError )(struct LSLicenseHandler *self)
bool(* | isNetworkTimeoutError )(struct LSLicenseHandler *self)
bool(* | isNoInternetError )(struct LSLicenseHandler *self)
bool(* | isActivationFailed )(struct LSLicenseHandler *self)
bool(* | isLicenseExpiredError )(struct LSLicenseHandler *self)
bool(* | isLicenseNotFoundError )(struct LSLicenseHandler *self)
bool(* | isLicenseStateError )(struct LSLicenseHandler *self)
bool(* | isHardwareIDError )(struct LSLicenseHandler *self)
bool(* | isGeneralError )(struct LSLicenseHandler *self)
bool(* | isLicenseFeatureError )(struct LSLicenseHandler *self)
bool(* | canIgnoreError )(struct LSLicenseHandler *self)
void * | inner
struct LSConfiguration * | currentConfig

## Detailed Description

Definition at line 26 of file LicenseHandler.h.

## Member Data Documentation

## ◆ reconfigure

void(* LSLicenseHandler::reconfigure) (struct LSLicenseHandler *self, struct LSConfiguration *config)

Definition at line 29 of file LicenseHandler.h.

## ◆ isOnline

bool(* LSLicenseHandler::isOnline) (struct LSLicenseHandler *self)

Definition at line 32 of file LicenseHandler.h.

## ◆ getProductDetails

LSProductDetails *(* LSLicenseHandler::getProductDetails) (struct LSLicenseHandler *self, bool includeLatestVersion)

Definition at line 33 of file LicenseHandler.h.

## ◆ getTrialLicense

struct LSLicenseID(* LSLicenseHandler::getTrialLicense) (struct LSLicenseHandler *self, LSCustomer *user, const char *licensePolicy)

Definition at line 33 of file LicenseHandler.h.

## ◆ getTrialLicenseByEmail

struct LSLicenseID(* LSLicenseHandler::getTrialLicenseByEmail) (struct LSLicenseHandler *self, const char *userEmail)

Definition at line 33 of file LicenseHandler.h.

## ◆ getSSOUrl

const char *(* LSLicenseHandler::getSSOUrl) (struct LSLicenseHandler *self, const char *accountCode, bool useAuthCode)

Definition at line 36 of file LicenseHandler.h.

## ◆ activateLicense

void(* LSLicenseHandler::activateLicense) (struct LSLicenseHandler *self, struct LSLicenseID licenseID)

Definition at line 37 of file LicenseHandler.h.

## ◆ activateLicenseViaSSO

void(* LSLicenseHandler::activateLicenseViaSSO) (struct LSLicenseHandler *self, const char *authData, const char *accountCode, bool useAuthCode)

Definition at line 38 of file LicenseHandler.h.

## ◆ deactivateLicense

bool(* LSLicenseHandler::deactivateLicense) (struct LSLicenseHandler *self)

Definition at line 40 of file LicenseHandler.h.

## ◆ changePassword

bool(* LSLicenseHandler::changePassword) (struct LSLicenseHandler *self, const char *password, const char *newPassword, const char *user)

Definition at line 41 of file LicenseHandler.h.

## ◆ checkLicense

LSInstallationFile *(* LSLicenseHandler::checkLicense) (struct LSLicenseHandler *self)

Definition at line 42 of file LicenseHandler.h.

## ◆ checkLicenseEx

LSInstallationFile *(* LSLicenseHandler::checkLicenseEx) (struct LSLicenseHandler *self, const char *channel, const char *env, bool includeExpiredFeatures)

Definition at line 43 of file LicenseHandler.h.

## ◆ getVersionList

int(* LSLicenseHandler::getVersionList) (struct LSLicenseHandler *self, struct LSLicenseID licenseID, int *lengths, char **versionList)

Definition at line 44 of file LicenseHandler.h.

## ◆ getVersionListEx

int(* LSLicenseHandler::getVersionListEx) (struct LSLicenseHandler *self, struct LSLicenseID licenseID, const char *channel, const char *env, int *lengths, char **versionList)

Definition at line 45 of file LicenseHandler.h.

## ◆ getInstallFile

LSInstallationFile *(* LSLicenseHandler::getInstallFile) (struct LSLicenseHandler *self, struct LSLicenseID licenseID, const char *version)

Definition at line 47 of file LicenseHandler.h.

## ◆ getInstallFileEx

LSInstallationFile *(* LSLicenseHandler::getInstallFileEx) (struct LSLicenseHandler *self, struct LSLicenseID licenseID, const char *version, const char *channel, const char *env)

Definition at line 48 of file LicenseHandler.h.

## ◆ sendDeviceData

void(* LSLicenseHandler::sendDeviceData) (struct LSLicenseHandler *self, struct LSCustomField *data, int dataSize)

Definition at line 50 of file LicenseHandler.h.

## ◆ syncConsumption

void(* LSLicenseHandler::syncConsumption) (struct LSLicenseHandler *self)

Definition at line 51 of file LicenseHandler.h.

## ◆ syncFeatureConsumption

void(* LSLicenseHandler::syncFeatureConsumption) (struct LSLicenseHandler *self, const char *featureCode)

Definition at line 52 of file LicenseHandler.h.

## ◆ registerFloatingLicense

void(* LSLicenseHandler::registerFloatingLicense) (struct LSLicenseHandler *self)

Definition at line 53 of file LicenseHandler.h.

## ◆ borrowFloatingLicense

void(* LSLicenseHandler::borrowFloatingLicense) (struct LSLicenseHandler *self, uint32_t hours, uint32_t days)

Definition at line 54 of file LicenseHandler.h.

## ◆ borrowFloatingLicenseTill

void(* LSLicenseHandler::borrowFloatingLicenseTill) (struct LSLicenseHandler *self, const char *borrowEndDateTime)

Definition at line 55 of file LicenseHandler.h.

## ◆ releaseFloatingLicense

void(* LSLicenseHandler::releaseFloatingLicense) (struct LSLicenseHandler *self)

Definition at line 56 of file LicenseHandler.h.

## ◆ registerFloatingFeature

void(* LSLicenseHandler::registerFloatingFeature) (struct LSLicenseHandler *self, const char *featureCode, bool addToWatchdog)

Definition at line 57 of file LicenseHandler.h.

## ◆ releaseFloatingFeature

void(* LSLicenseHandler::releaseFloatingFeature) (struct LSLicenseHandler *self, const char *featureCode)

Definition at line 58 of file LicenseHandler.h.

## ◆ getAirGapActivationCode

const char *(* LSLicenseHandler::getAirGapActivationCode) (struct LSLicenseHandler *self, const char *initializationCode, const char *licenseKey)

Definition at line 59 of file LicenseHandler.h.

## ◆ getAirGapDeactivationCode

const char *(* LSLicenseHandler::getAirGapDeactivationCode) (struct LSLicenseHandler *self, const char *initializationCode)

Definition at line 60 of file LicenseHandler.h.

## ◆ isInitialized

bool(* LSLicenseHandler::isInitialized) (struct LSLicenseHandler *self)

Definition at line 64 of file LicenseHandler.h.

## ◆ isLicenseExists

bool(* LSLicenseHandler::isLicenseExists) (struct LSLicenseHandler *self)

Definition at line 65 of file LicenseHandler.h.

## ◆ updateConsumption

void(* LSLicenseHandler::updateConsumption) (struct LSLicenseHandler *self, int value, bool saveLicense)

Definition at line 66 of file LicenseHandler.h.

## ◆ updateFeatureConsumption

void(* LSLicenseHandler::updateFeatureConsumption) (struct LSLicenseHandler *self, const char *featureCode, int value, bool saveLicense)

Definition at line 67 of file LicenseHandler.h.

## ◆ checkLicenseLocal

void(* LSLicenseHandler::checkLicenseLocal) (struct LSLicenseHandler *self)

Definition at line 68 of file LicenseHandler.h.

## ◆ clearLocalStorage

void(* LSLicenseHandler::clearLocalStorage) (struct LSLicenseHandler *self)

Definition at line 69 of file LicenseHandler.h.

## ◆ setupLicenseWatchdog

void(* LSLicenseHandler::setupLicenseWatchdog) (struct LSLicenseHandler *self, LSWatchdogCallback callback, unsigned long timeout)

Definition at line 70 of file LicenseHandler.h.

## ◆ resumeLicenseWatchdog

void(* LSLicenseHandler::resumeLicenseWatchdog) (struct LSLicenseHandler *self)

Definition at line 71 of file LicenseHandler.h.

## ◆ stopLicenseWatchdog

void(* LSLicenseHandler::stopLicenseWatchdog) (struct LSLicenseHandler *self)

Definition at line 72 of file LicenseHandler.h.

## ◆ setupFeatureWatchdog

void(* LSLicenseHandler::setupFeatureWatchdog) (struct LSLicenseHandler *self, LSWatchdogCallback callback, unsigned long timeout)

Definition at line 73 of file LicenseHandler.h.

## ◆ resumeFeaturewatchdog

void(* LSLicenseHandler::resumeFeaturewatchdog) (struct LSLicenseHandler *self)

Definition at line 74 of file LicenseHandler.h.

## ◆ stopFeatureWatchdog

void(* LSLicenseHandler::stopFeatureWatchdog) (struct LSLicenseHandler *self)

Definition at line 75 of file LicenseHandler.h.

## ◆ relinkLicense

void(* LSLicenseHandler::relinkLicense) (struct LSLicenseHandler *self, enum DeviceIDAlgorithm deviceIdAlgorithm, const char *userPassword)

Definition at line 76 of file LicenseHandler.h.

## ◆ getDataLocation

const wchar_t *(* LSLicenseHandler::getDataLocation) (struct LSLicenseHandler *self)

Definition at line 77 of file LicenseHandler.h.

## ◆ setDataLocation

void(* LSLicenseHandler::setDataLocation) (struct LSLicenseHandler *self, const wchar_t *path)

Definition at line 78 of file LicenseHandler.h.

## ◆ getLicenseFileName

const wchar_t *(* LSLicenseHandler::getLicenseFileName) (struct LSLicenseHandler *self)

Definition at line 79 of file LicenseHandler.h.

## ◆ setLicenseFileName

void(* LSLicenseHandler::setLicenseFileName) (struct LSLicenseHandler *self, const wchar_t *name)

Definition at line 80 of file LicenseHandler.h.

## ◆ createOfflineActivationFile

const wchar_t *(* LSLicenseHandler::createOfflineActivationFile) (struct LSLicenseHandler *self, struct LSLicenseID licenseID, const wchar_t *activationRequestFile)

Definition at line 84 of file LicenseHandler.h.

## ◆ activateLicenseOffline

void(* LSLicenseHandler::activateLicenseOffline) (struct LSLicenseHandler *self, const wchar_t *activationResponseFile)

Definition at line 85 of file LicenseHandler.h.

## ◆ deactivateLicenseOffline

const wchar_t *(* LSLicenseHandler::deactivateLicenseOffline) (struct LSLicenseHandler *self, const wchar_t *deactivationRequestFile)

Definition at line 86 of file LicenseHandler.h.

## ◆ updateOffline

bool(* LSLicenseHandler::updateOffline) (struct LSLicenseHandler *self, const wchar_t *path, bool resetConsumption)

Definition at line 87 of file LicenseHandler.h.

## ◆ activateAirGapLicense

void(* LSLicenseHandler::activateAirGapLicense) (struct LSLicenseHandler *self, const char *confirmationCode, const wchar_t *policyFile, const char *licenseKey, unsigned long policyId)

Definition at line 88 of file LicenseHandler.h.

## ◆ deactivateAirGapLicense

void(* LSLicenseHandler::deactivateAirGapLicense) (struct LSLicenseHandler *self, const char *confirmationCode)

Definition at line 89 of file LicenseHandler.h.

## ◆ isLicenseValid

bool(* LSLicenseHandler::isLicenseValid) (struct LSLicenseHandler *self)

Definition at line 93 of file LicenseHandler.h.

## ◆ isLicenseTrial

bool(* LSLicenseHandler::isLicenseTrial) (struct LSLicenseHandler *self)

Definition at line 94 of file LicenseHandler.h.

## ◆ isLicenseAirGapped

bool(* LSLicenseHandler::isLicenseAirGapped) (struct LSLicenseHandler *self)

Definition at line 95 of file LicenseHandler.h.

## ◆ isLicenseActive

bool(* LSLicenseHandler::isLicenseActive) (struct LSLicenseHandler *self)

Definition at line 96 of file LicenseHandler.h.

## ◆ isLicenseEnabled

bool(* LSLicenseHandler::isLicenseEnabled) (struct LSLicenseHandler *self)

Definition at line 97 of file LicenseHandler.h.

## ◆ isLicenseExpired

bool(* LSLicenseHandler::isLicenseExpired) (struct LSLicenseHandler *self)

Definition at line 98 of file LicenseHandler.h.

## ◆ isLicenseMaintenanceExpired

bool(* LSLicenseHandler::isLicenseMaintenanceExpired) (struct LSLicenseHandler *self)

Definition at line 99 of file LicenseHandler.h.

## ◆ isLicenseOfflineActivated

bool(* LSLicenseHandler::isLicenseOfflineActivated) (struct LSLicenseHandler *self)

Definition at line 100 of file LicenseHandler.h.

## ◆ isLicenseFloating

bool(* LSLicenseHandler::isLicenseFloating) (struct LSLicenseHandler *self)

Definition at line 101 of file LicenseHandler.h.

## ◆ isLicenseBorrowed

bool(* LSLicenseHandler::isLicenseBorrowed) (struct LSLicenseHandler *self)

Definition at line 102 of file LicenseHandler.h.

## ◆ isLicenseVMAllowed

bool(* LSLicenseHandler::isLicenseVMAllowed) (struct LSLicenseHandler *self)

Definition at line 103 of file LicenseHandler.h.

## ◆ isSubscriptionGracePeriodStarted

bool(* LSLicenseHandler::isSubscriptionGracePeriodStarted) (struct LSLicenseHandler *self)

Definition at line 104 of file LicenseHandler.h.

## ◆ isGracePeriodStarted

bool(* LSLicenseHandler::isGracePeriodStarted) (struct LSLicenseHandler *self)

Definition at line 105 of file LicenseHandler.h.

## ◆ gracePeriodHoursRemaining

int(* LSLicenseHandler::gracePeriodHoursRemaining) (struct LSLicenseHandler *self)

Definition at line 106 of file LicenseHandler.h.

## ◆ gracePeriodEndDateTime

struct tm(* LSLicenseHandler::gracePeriodEndDateTime) (struct LSLicenseHandler *self)

Definition at line 106 of file LicenseHandler.h.

## ◆ gracePeriodEndDateTimeUTC

struct tm(* LSLicenseHandler::gracePeriodEndDateTimeUTC) (struct LSLicenseHandler *self)

Definition at line 106 of file LicenseHandler.h.

## ◆ getLicenseTrialPeriod

int(* LSLicenseHandler::getLicenseTrialPeriod) (struct LSLicenseHandler *self)

Definition at line 109 of file LicenseHandler.h.

## ◆ getLicenseID

struct LSLicenseID(* LSLicenseHandler::getLicenseID) (struct LSLicenseHandler *self)

Definition at line 109 of file LicenseHandler.h.

## ◆ getLicenseKey

const char *(* LSLicenseHandler::getLicenseKey) (struct LSLicenseHandler *self)

Definition at line 112 of file LicenseHandler.h.

## ◆ getLicenseUser

const char *(* LSLicenseHandler::getLicenseUser) (struct LSLicenseHandler *self)

Definition at line 113 of file LicenseHandler.h.

## ◆ getLicenseStatusStr

const char *(* LSLicenseHandler::getLicenseStatusStr) (struct LSLicenseHandler *self)

Definition at line 114 of file LicenseHandler.h.

## ◆ getLicenseStartDate

const char *(* LSLicenseHandler::getLicenseStartDate) (struct LSLicenseHandler *self)

Definition at line 115 of file LicenseHandler.h.

## ◆ getLicenseMetadata

const char *(* LSLicenseHandler::getLicenseMetadata) (struct LSLicenseHandler *self)

Definition at line 116 of file LicenseHandler.h.

## ◆ getLicenseType

enum LSLicenseType(* LSLicenseHandler::getLicenseType) (struct LSLicenseHandler *self)

Definition at line 116 of file LicenseHandler.h.

## ◆ getLicenseExpiryDate

struct tm(* LSLicenseHandler::getLicenseExpiryDate) (struct LSLicenseHandler *self)

Definition at line 116 of file LicenseHandler.h.

## ◆ getLicenseExpiryDateUtc

struct tm(* LSLicenseHandler::getLicenseExpiryDateUtc) (struct LSLicenseHandler *self)

Definition at line 116 of file LicenseHandler.h.

## ◆ getLicenseMaintenancePeriod

struct tm(* LSLicenseHandler::getLicenseMaintenancePeriod) (struct LSLicenseHandler *self)

Definition at line 116 of file LicenseHandler.h.

## ◆ getLicenseMaintenancePeriodUtc

struct tm(* LSLicenseHandler::getLicenseMaintenancePeriodUtc) (struct LSLicenseHandler *self)

Definition at line 116 of file LicenseHandler.h.

## ◆ getLicenseLastCheckDate

struct tm(* LSLicenseHandler::getLicenseLastCheckDate) (struct LSLicenseHandler *self)

Definition at line 116 of file LicenseHandler.h.

## ◆ getLicenseLastCheckDateUtc

struct tm(* LSLicenseHandler::getLicenseLastCheckDateUtc) (struct LSLicenseHandler *self)

Definition at line 116 of file LicenseHandler.h.

## ◆ getLicenseFloatingEndDateTime

struct tm(* LSLicenseHandler::getLicenseFloatingEndDateTime) (struct LSLicenseHandler *self)

Definition at line 116 of file LicenseHandler.h.

## ◆ getLicenseFloatingEndDateTimeUtc

struct tm(* LSLicenseHandler::getLicenseFloatingEndDateTimeUtc) (struct LSLicenseHandler *self)

Definition at line 116 of file LicenseHandler.h.

## ◆ getDaysRemaining

int(* LSLicenseHandler::getDaysRemaining) (struct LSLicenseHandler *self)

Definition at line 126 of file LicenseHandler.h.

## ◆ getMaintenanceDaysRemaining

int(* LSLicenseHandler::getMaintenanceDaysRemaining) (struct LSLicenseHandler *self)

Definition at line 127 of file LicenseHandler.h.

## ◆ getDaysPassedSinceLastCheck

int(* LSLicenseHandler::getDaysPassedSinceLastCheck) (struct LSLicenseHandler *self)

Definition at line 128 of file LicenseHandler.h.

## ◆ getLicenseOwner

LSCustomer *(* LSLicenseHandler::getLicenseOwner) (struct LSLicenseHandler *self)

Definition at line 129 of file LicenseHandler.h.

## ◆ hasLicenseFeatures

bool(* LSLicenseHandler::hasLicenseFeatures) (struct LSLicenseHandler *self)

Definition at line 130 of file LicenseHandler.h.

## ◆ getLicenseFeature

struct LSLicenseFeature *(* LSLicenseHandler::getLicenseFeature) (struct LSLicenseHandler *self, const char *featureCode)

Definition at line 130 of file LicenseHandler.h.

## ◆ getLicenseFeatures

int(* LSLicenseHandler::getLicenseFeatures) (struct LSLicenseHandler *self, struct LSLicenseFeature *features)

Definition at line 132 of file LicenseHandler.h.

## ◆ hasLicenseCustomFields

bool(* LSLicenseHandler::hasLicenseCustomFields) (struct LSLicenseHandler *self)

Definition at line 133 of file LicenseHandler.h.

## ◆ getLicenseCustomFields

int(* LSLicenseHandler::getLicenseCustomFields) (struct LSLicenseHandler *self, struct LSCustomField *fields)

Definition at line 134 of file LicenseHandler.h.

## ◆ getLicenseTimesActivated

unsigned long(* LSLicenseHandler::getLicenseTimesActivated) (struct LSLicenseHandler *self)

Definition at line 135 of file LicenseHandler.h.

## ◆ getLicenseMaxActivations

unsigned long(* LSLicenseHandler::getLicenseMaxActivations) (struct LSLicenseHandler *self)

Definition at line 136 of file LicenseHandler.h.

## ◆ getLicenseTransferCount

unsigned long(* LSLicenseHandler::getLicenseTransferCount) (struct LSLicenseHandler *self)

Definition at line 137 of file LicenseHandler.h.

## ◆ getLicenseTransferLimit

int(* LSLicenseHandler::getLicenseTransferLimit) (struct LSLicenseHandler *self)

Definition at line 138 of file LicenseHandler.h.

## ◆ isDeviceTransferAllowed

bool(* LSLicenseHandler::isDeviceTransferAllowed) (struct LSLicenseHandler *self)

Definition at line 139 of file LicenseHandler.h.

## ◆ isDeviceTransferLimited

bool(* LSLicenseHandler::isDeviceTransferLimited) (struct LSLicenseHandler *self)

Definition at line 140 of file LicenseHandler.h.

## ◆ getLicensePolicyId

unsigned long(* LSLicenseHandler::getLicensePolicyId) (struct LSLicenseHandler *self)

Definition at line 141 of file LicenseHandler.h.

## ◆ getSubscriptionLicenseGracePeriod

unsigned long(* LSLicenseHandler::getSubscriptionLicenseGracePeriod) (struct LSLicenseHandler *self)

Definition at line 144 of file LicenseHandler.h.

## ◆ validityWithGracePeriod

struct tm(* LSLicenseHandler::validityWithGracePeriod) (struct LSLicenseHandler *self)

Definition at line 144 of file LicenseHandler.h.

## ◆ validityWithGracePeriodUtc

struct tm(* LSLicenseHandler::validityWithGracePeriodUtc) (struct LSLicenseHandler *self)

Definition at line 144 of file LicenseHandler.h.

## ◆ getLicenseTotalConsumption

int(* LSLicenseHandler::getLicenseTotalConsumption) (struct LSLicenseHandler *self)

Definition at line 149 of file LicenseHandler.h.

## ◆ getLicenseMaxConsumption

int(* LSLicenseHandler::getLicenseMaxConsumption) (struct LSLicenseHandler *self)

Definition at line 150 of file LicenseHandler.h.

## ◆ isLicenseOveragesAllowed

bool(* LSLicenseHandler::isLicenseOveragesAllowed) (struct LSLicenseHandler *self)

Definition at line 151 of file LicenseHandler.h.

## ◆ isLicenseUnlimitedConsumptionAllowed

bool(* LSLicenseHandler::isLicenseUnlimitedConsumptionAllowed) (struct LSLicenseHandler *self)

Definition at line 152 of file LicenseHandler.h.

## ◆ getLicenseMaxOverages

int(* LSLicenseHandler::getLicenseMaxOverages) (struct LSLicenseHandler *self)

Definition at line 153 of file LicenseHandler.h.

## ◆ isResetLicenseConsumptionEnabled

bool(* LSLicenseHandler::isResetLicenseConsumptionEnabled) (struct LSLicenseHandler *self)

Definition at line 154 of file LicenseHandler.h.

## ◆ getLicenseConsumptionPeriod

enum LSConsumptionPeriod(* LSLicenseHandler::getLicenseConsumptionPeriod) (struct LSLicenseHandler *self)

Definition at line 154 of file LicenseHandler.h.

## ◆ getLicenseFloatingTimeout

unsigned long(* LSLicenseHandler::getLicenseFloatingTimeout) (struct LSLicenseHandler *self)

Definition at line 158 of file LicenseHandler.h.

## ◆ getLicenseFloatingInUseCount

unsigned long(* LSLicenseHandler::getLicenseFloatingInUseCount) (struct LSLicenseHandler *self)

Definition at line 159 of file LicenseHandler.h.

## ◆ getLicenseMaxFloatingUsers

unsigned long(* LSLicenseHandler::getLicenseMaxFloatingUsers) (struct LSLicenseHandler *self)

Definition at line 160 of file LicenseHandler.h.

## ◆ getMaxBorrowTime

unsigned long(* LSLicenseHandler::getMaxBorrowTime) (struct LSLicenseHandler *self)

Definition at line 161 of file LicenseHandler.h.

## ◆ wasError

bool(* LSLicenseHandler::wasError) (struct LSLicenseHandler *self)

Definition at line 165 of file LicenseHandler.h.

## ◆ getLastError

enum LSErrorCode(* LSLicenseHandler::getLastError) (struct LSLicenseHandler *self)

Definition at line 165 of file LicenseHandler.h.

## ◆ getLastErrorMsg

const char *(* LSLicenseHandler::getLastErrorMsg) (struct LSLicenseHandler *self)

Definition at line 167 of file LicenseHandler.h.

## ◆ isInitializationError

bool(* LSLicenseHandler::isInitializationError) (struct LSLicenseHandler *self)

Definition at line 168 of file LicenseHandler.h.

## ◆ isInternalServerError

bool(* LSLicenseHandler::isInternalServerError) (struct LSLicenseHandler *self)

Definition at line 169 of file LicenseHandler.h.

## ◆ isNetworkTimeoutError

bool(* LSLicenseHandler::isNetworkTimeoutError) (struct LSLicenseHandler *self)

Definition at line 170 of file LicenseHandler.h.

## ◆ isNoInternetError

bool(* LSLicenseHandler::isNoInternetError) (struct LSLicenseHandler *self)

Definition at line 171 of file LicenseHandler.h.

## ◆ isActivationFailed

bool(* LSLicenseHandler::isActivationFailed) (struct LSLicenseHandler *self)

Definition at line 172 of file LicenseHandler.h.

## ◆ isLicenseExpiredError

bool(* LSLicenseHandler::isLicenseExpiredError) (struct LSLicenseHandler *self)

Definition at line 173 of file LicenseHandler.h.

## ◆ isLicenseNotFoundError

bool(* LSLicenseHandler::isLicenseNotFoundError) (struct LSLicenseHandler *self)

Definition at line 174 of file LicenseHandler.h.

## ◆ isLicenseStateError

bool(* LSLicenseHandler::isLicenseStateError) (struct LSLicenseHandler *self)

Definition at line 175 of file LicenseHandler.h.

## ◆ isHardwareIDError

bool(* LSLicenseHandler::isHardwareIDError) (struct LSLicenseHandler *self)

Definition at line 176 of file LicenseHandler.h.

## ◆ isGeneralError

bool(* LSLicenseHandler::isGeneralError) (struct LSLicenseHandler *self)

Definition at line 177 of file LicenseHandler.h.

## ◆ isLicenseFeatureError

bool(* LSLicenseHandler::isLicenseFeatureError) (struct LSLicenseHandler *self)

Definition at line 178 of file LicenseHandler.h.

## ◆ canIgnoreError

bool(* LSLicenseHandler::canIgnoreError) (struct LSLicenseHandler *self)

Definition at line 179 of file LicenseHandler.h.

## ◆ inner

void* LSLicenseHandler::inner

Definition at line 182 of file LicenseHandler.h.

## ◆ currentConfig

struct LSConfiguration* LSLicenseHandler::currentConfig

Definition at line 184 of file LicenseHandler.h.

The documentation for this struct was generated from the following file:

- LicenseSpring/C-interface/LicenseHandler.h